:root {
    --color-primary: #9f080e;
    --color-secondary-shade: #530b0e;
    --color-secondary: #ec5b0a;
    --color-secondary-shade: #ac5929;
}
h1,
h2,
h3,
h4,
h5,
h6,
.card-product {
    font-family: "Rajdhani", sans-serif;
    font-weight: bold;
}
h1:nth-of-type(1) {
    margin-top: 2rem;
    padding-left: 2rem;
    font-weight: lighter;
    font-size: 3rem;
    letter-spacing: 4px;
    text-shadow: 4px 4px 4px rgba(0, 0, 0, 0.2);
}
section:nth-of-type(1) {
    padding: 5rem 0;
}
@media screen and (max-width: 768px) {
    section:nth-of-type(1) {
        padding: 1.5rem 0;
    }
}
.card-img-top{
    max-height: 20rem;
    object-fit: cover;
    box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;
}
.vh-50 {
    min-height: 50vh;
}
.bg-primary {
    background-color: var(--color-primary) !important;
    color: #fff !important;
}
.bg-secondary {
    background-color: var(--color-secondary) !important;
    color: #fff !important;
}
a.btn.btn-primary {
    background-color: var(--color-primary) ;
    border-color: var(--color-primary-shade) !important;
    font-size: large;
    font-weight: bold;
    transition: all 0.6s;
    -webkit-transition: all 0.6s;
    -moz-transition: all 0.6s;
    -ms-transition: all 0.6s;
    -o-transition: all 0.6s;
    letter-spacing: 1px;
}
a.btn.btn-primary:hover {
    color: var(--color-primary) !important;
    background-color: white;
}
a.btn.btn-secondary {
    background-color: var(--color-secondary);
    border-color: var(--color-secondary-shade) !important;
    font-size: large;
    transition: all 0.6s;
    -webkit-transition: all 0.6s;
    -moz-transition: all 0.6s;
    -ms-transition: all 0.6s;
    -o-transition: all 0.6s;
    font-weight: bold;
}
a.btn.btn-secondary:hover {
    color: var(--color-secondary) !important;
    background-color: white;
}
a.btn.btn-custom {
    border: 1px solid white;
    background: none;
    color: white;
    transition: all 0.6s ease;
    font-weight: bold;
}
.btn:focus, .btn.focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem var(--color-secondary-shade);
}
.btn:not(.disabled):active {
    color: #fff;
    background-color: var(--color-secondary-shade) !important ;
    border-color: var(--color-secondary-shade) !important;
}
a.btn.btn-custom-dark {
    font-weight: bold;
    border: 1px solid #000;
    background: none;
    color: #000;
    transition: all 0.5s ease;
}
a.btn.btn-custom-dark:hover {
    border: 1px solid var(--color-secondary);
    color: var(--color-secondary);
}
.btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled).active:focus, .show > .btn-primary.dropdown-toggle:focus {
    box-shadow: unset;
}
p {
    margin: 4px 0;
}
.custom-thumbnail {
    /* transform: rotate(3deg);
    -webkit-transform: rotate(3deg);
    -moz-transform: rotate(3deg);
    -ms-transform: rotate(3deg);
    -o-transform: rotate(3deg); */
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
@media screen and (max-width: 768px) {
    .custom-thumbnail {
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
    }
}
/* FOOTER */
.pre-footer {
    background-color: var(--color-primary);
    color: white;
    /* margin-top: 50px; */
    padding: 2.5rem 0;
}

.menu-item span {
    text-decoration: none;
    color: var(--color-primary);
}

@media screen and (min-width: 768px) {
    ul#menu-menu-footer li:before {
        content: "-";
        position: absolute;
        top: calc(50% - 0.5rem);
        left: -0.8rem;
        line-height: 1rem; /* margin: 0 2rem; */
    }
}

ul#menu-menu-footer li {
    position: relative;
    margin: 0 0.7rem;
}
ul#menu-menu-footer {
    margin-left: 0.5rem;
}

.menu-item {
    margin-inline: 5px;
}

.navbar-nav {
    flex-direction: row;
}

@media screen and (max-width: 768px) {
    .navbar-nav {
        flex-direction: column;
        text-align: center;
    }
}

/* NAV */
#main-navbar {
    position: sticky;
    top: 0;
    z-index: 100;
    font-weight: bold;
    font-size: 16px;
    text-transform: uppercase;
}
@media screen and (max-width: 1200px) {
    #main-navbar {
        font-size: 13px;
    }
}
/* HEADER.PHP */
.mainlogo {
    max-height: 120px;
    object-fit: contain;
}

/* page-item */
.presentation-gammes-marques {
    min-height: 50vh;
    padding: 3rem 0;
}
.presentation-gammes-marques .col-md-4 img {
    max-height: 25rem;
    width: auto;
}

/* global */
section.bg-custom {
    background: linear-gradient(to right, #f8f9fa, #e9e9e9);
    padding: 3rem 0;
}
section.bg-custom .card-container {
    padding: 0.25rem;
    background-color: #fff;
    border: 1px solid #dee2e6;
    border-radius: 0.25rem;
    max-width: 100%;
    height: auto;
}

/* .card-product */

.card-product {
    height: 100%;
    position: relative;
}
.card-product * {
    z-index: 1;
}
.card-product a.stretched-link {
    z-index: 2;
}
.card-product:hover:before {
    /* height: 80%; */
}
.card-product:before {
    content: "";
    position: absolute;
    bottom: 1.5rem;
    left: 0;
    height: 50%;
    width: 100%;
    background-color: #cecece;
    z-index: 1;
    transition: all 0.7s ease;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}
.card-product .img-container {
    width: 80%;
}
.card-product .img-container img {
    transition: all 0.6s;
    -webkit-transition: all 0.6s;
    -moz-transition: all 0.6s;
    -ms-transition: all 0.6s;
    -o-transition: all 0.6s;
}
.card-product:hover .img-container img {
    transform: rotate(0deg) !important;
    -webkit-transform: rotate(0deg) !important;
    -moz-transform: rotate(0deg) !important;
    -ms-transform: rotate(0deg) !important;
    -o-transform: rotate(0deg) !important;
}
.card-product .text-bloc {
    font-weight: bold;
    width: 100%;
}
.card-product .bestSeller {
    line-height: 1.5rem;
    color: rgb(159 9 15);
    font-style: italic;
}
.card-product .subline {
    font-size: 0.9rem;
    color: rgb(66, 58, 58);
}
.card-product .headline {
    font-size: 1.2rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 90% !important;
    overflow: hidden;
}

/* .card-gamme */
.card-gamme {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 13rem;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    position: relative;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    overflow: hidden;
}
.card-gamme h3,
.card-gamme a {
    z-index: 0;
}

.card-gamme .bg-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    position: absolute;
    z-index: -1;
    transition: all 0.6s;
    -webkit-transition: all 0.6s;
    -moz-transition: all 0.6s;
    -ms-transition: all 0.6s;
    -o-transition: all 0.6s;
}
.card-gamme:hover .bg-image {
    transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
}
.card-gamme::before {
    content: "";
    background-color: rgb(0, 0, 0, 0.4);
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    position: absolute;
    z-index: 0;
}

/* .card-marque */
.card-marque {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 13rem;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    position: relative;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    overflow: hidden;
}
.card-marque h3,
.card-marque a {
    z-index: 0;
}

.card-marque .bg-image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 5px;
    position: absolute;
    z-index: -1;
    transition: all 0.6s;
    -webkit-transition: all 0.6s;
    -moz-transition: all 0.6s;
    -ms-transition: all 0.6s;
    -o-transition: all 0.6s;
}
.card-marque:hover .bg-image {
    transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
}



.main-swiper {
    max-height: 30rem;
}
.thumbnail-swiper {
    max-height: 10rem;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.swiper-slide {
    background-size: cover;
    background-position: center;
}
.thumbnail-swiper .swiper-slide {
    margin-top: 1.5rem;
    width: 25%;
    height: 50%;
    opacity: 0.4;
}

.thumbnail-swiper .swiper-slide-thumb-active {
    opacity: 1;
}
.main-swiper .swiper-button-next,
.main-swiper .swiper-button-prev {
    color: var(--color-secondary);
}
.main-swiper .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media (max-width:768px) {
    .col-swiperitem{
        margin: 2rem 0;
    }

}

.page-numbers{
    padding: 4px;
    border: var(--color-primary) solid 1px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    box-shadow: var(--color-secondary-shade) 1px 2px 4px;
    margin: 4px;
    color: var(--color-secondary);
    font-weight: bold;
    transition: all .6s;
    -webkit-transition: all .6s;
    -moz-transition: all .6s;
    -ms-transition: all .6s;
    -o-transition: all .6s;
}
.page-numbers:not(.current){
    padding: 4px 5px;
    background-color: var(--color-primary);
    color: #fff;
}
.page-numbers:not(.current):hover{
    text-decoration: none;
    color: var(--color-primary);
    background-color: #fff;
}

.pagination {
    display: inline-block;
  }

  .pagination a {
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    cursor: pointer;
  }

  .pagination a.active {
    background-color: var(--color-primary);
    color: white;
  }

  .pagination a:hover:not(.active) {background-color: #ddd;}



.divider {
    width: 90%;
    height: 1px;
    background-color: #e6e6e6;
}

.product-grid {
    text-align: center;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
        overflow: hidden;
}

.product-grid .product-image {

    position: relative;
    overflow: hidden;
}


.product-grid .product-image img {
    width: 100%;
    height: 16rem;
    margin-bottom: 5px;
    object-fit: cover;
}

@media screen and (max-width: 768px) {
    .product-grid .product-image img {
        object-fit: contain;
    }
}

.product-grid .discover {
    background: var(--color-primary);
    color: #fff;
    font-size: 16px;
    text-transform: uppercase;
    letter-spacing: 2px;
    width: 100%;
    padding: 10px 26px;
    position: absolute;
    left: 0;
    bottom: -60px;
    transition: all 0.3s ease 0s;
    text-decoration: none;
}

.product-grid:hover .discover {
    bottom: 0;
    transition: all 0.7s ease 0s;
    text-shadow: 4px 4px 4px rgba(0, 0, 0, 0.3);
}


.product-grid .product-content {
    background: #fff;
    padding: 15px;
    overflow: hidden;
    width: 100%;
}

.product-grid .cat {
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    margin: 0 0 7px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
}

.product-grid .cat {
    color: #777;
    transition: all 0.3s ease 0s;

}

.product-grid .marque {
    text-transform: uppercase;

}

.product-grid .title {
    color: #0d0d0d;
    font-size: 20px;
    text-transform: capitalize;
    font-weight: normal;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    white-space: nowrap;
}
.tag-best-seller{
    position: absolute;top: 0;right: 0;z-index:1;transform-origin: center;background-color: var(--color-primary);width: 100%;font-weight: 600;color: white;box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;font-family: 'Rajdhani';
}
@media screen and (max-width: 990px) {
    .product-grid {
        margin-bottom: 30px;
    }
}

/* marque-card */
.marque-card{
    text-align: center;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    overflow: hidden;
}
.marque-card .product-image {
    height: 12rem;
    padding: 0.25rem;
}
.marque-card .product-image img {
    width: 100%;
    height: 100%;
    margin-bottom: 5px;
    object-fit: contain;
}
.marque-card .product-content {
    background: #fff;
    padding: 15px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
.marque-card .title {
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    margin: 0 0 7px;
    color: #777;
    transition: all 0.3s ease 0s;
}
.marque-card:hover .title {
    color:black;
    transform: scale(1.3);
    -webkit-transform: scale(1.3);
    -moz-transform: scale(1.3);
    -ms-transform: scale(1.3);
    -o-transform: scale(1.3);
}
@media screen and (max-width: 768px) {
    .marque-card .product-image img {
        object-fit: contain;
    }
}
/* FIN marque-card */

.custom-select:focus-within {
    border-color: var(--color-primary);
    outline: 0;
    box-shadow: 0 0 6px var(--color-primary);
}

.btif-instagram-feed{
    width: 50%;
}

.btif-instagram-feed li{
    padding: 5px;
}
.profile-link{
    color: black !important;
}
.profile-link span{
    margin-right: 5px;
}
/* OVERLAY REALISATIONS DEBUT */
.hover-overlay img {
    transition: all 0.5s;
}

.hover-overlay {
    position: relative;
    overflow: hidden;
}
.bottom-text-hover{
    opacity: 0;
    color: white;
    font-size: 16px;
    font-weight: bold;
    position: absolute;
    text-transform: capitalize;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: all 0.5s;
    padding: 3px;

}
.hover-overlay:hover img{
    filter: brightness(0.5);
}

.hover-overlay:hover .bottom-text-hover{
    opacity: 1;
    top: 50%;
}
/* OVERLAY REALISATIONS FIN */

.dropdown-item:active{
    background-color: #f5f5f5
}